Page MenuHomePhabricator

Extension PagesList failing tests due to apihelp message missing
Closed, ResolvedPublic

Description

See https://integration.wikimedia.org/ci/job/mwext-testextension-hhvm/33729/console

19:35:19 There were 3 failures:
19:35:19 
19:35:19 1) ApiDocumentationTest::testDocumentationExists with data set "Module pageslist with MiserMode=false, AllowCategorizedRecentChanges=false" ('pageslist', array(false, false))
19:35:19 Module description message apihelp-pageslist-description exists
19:35:19 Failed asserting that false is true.
19:35:19 
19:35:19 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
19:35:19 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
19:35:19 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
19:35:19 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
19:35:19 
19:35:19 2) ApiDocumentationTest::testDocumentationExists with data set "Module pageslist with MiserMode=true, AllowCategorizedRecentChanges=true" ('pageslist', array(true, true))
19:35:19 Module description message apihelp-pageslist-description exists
19:35:19 Failed asserting that false is true.
19:35:19 
19:35:19 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
19:35:19 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
19:35:19 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
19:35:19 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
19:35:19 
[...]
19:35:19 FAILURES!

Details

Related Gerrit Patches:
mediawiki/extensions/PagesList : masterPrevent PagesList from failing apihelp tests

Event Timeline

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 9 2017, 7:42 PM
Umherirrender updated the task description. (Show Details)Jan 9 2017, 7:43 PM
MtDu claimed this task.Jan 10 2017, 11:54 AM
MtDu added a subscriber: MtDu.

I'll fix this within the next few days. :) Thanks!

MtDu removed MtDu as the assignee of this task.Jan 25 2017, 12:14 PM

I'm not going to block anyone from taking this task. Feel free. :)

Change 347215 had a related patch set uploaded (by DatGuy):
[mediawiki/extensions/PagesList@master] Prevent PagesList from failing apihelp tests

https://gerrit.wikimedia.org/r/347215

DatGuy claimed this task.Apr 9 2017, 9:51 AM
Umherirrender closed this task as Resolved.Jun 6 2017, 4:01 PM
Umherirrender triaged this task as Medium priority.

Change 347215 merged by jenkins-bot:
[mediawiki/extensions/PagesList@master] Prevent PagesList from failing apihelp tests

https://gerrit.wikimedia.org/r/347215